package com.kiisoo.ic.synchronous.entity;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @ClassName: TurnBackDTO
 * @Description:
 * @Auther: Caps
 * @Date: 2020/4/23 0023 10:08
 * @Version:
 */
public class TurnBackDTO {

    /**
     * 添加客户
     */
    public static final Integer OP_TYPE_ADD = 1;

    /**
     * 删除客户
     */
    public static final Integer OP_TYPE_DEL = 2;

    /**
     * 店铺code
     */
    @JsonProperty(value = "user_id")
    private String userId;

    /**
     * 推广员编码
     */
    @JsonProperty(value = "ea_code")
    private String eaCode;

    /**
     * 推广类型 1、内部推广 2、客户推广
     */
    private int type;


    /**
     * 	客户名称
     */
    private String name;

    /**
     * 客户手机号
     */
    private String phone;

    /**
     * 加入时间
     */
    @JsonProperty(value = "join_time")
    private String joinTime;

    /**
     * 微信id对象
     */
    @JsonProperty(value = "wx_data")
    private WxDataDTO wxData;

    /**
     * 会员信息
     */
    @JsonProperty(value = "vip_data")
    private VipDataDTO vipData;

    @JsonProperty(value = "op_type")
    private Integer OpType;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getEaCode() {
        return eaCode;
    }

    public void setEaCode(String eaCode) {
        this.eaCode = eaCode;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getJoinTime() {
        return joinTime;
    }

    public void setJoinTime(String joinTime) {
        this.joinTime = joinTime;
    }

    public WxDataDTO getWxData() {
        return wxData;
    }

    public void setWxData(WxDataDTO wxData) {
        this.wxData = wxData;
    }

    public VipDataDTO getVipData() {
        return vipData;
    }

    public void setVipData(VipDataDTO vipData) {
        this.vipData = vipData;
    }

    public Integer getOpType() {
        return OpType;
    }

    public void setOpType(Integer opType) {
        OpType = opType;
    }

    @Override
    public String toString() {
        return "TurnBackDTO{" +
                "userId='" + userId + '\'' +
                ", eaCode='" + eaCode + '\'' +
                ", type=" + type +
                ", name='" + name + '\'' +
                ", phone='" + phone + '\'' +
                ", joinTime='" + joinTime + '\'' +
                ", wxData=" + wxData +
                ", vipData=" + vipData +
                ", OpType=" + OpType +
                '}';
    }
}
